Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Retrieve one wallet-to-wallet swap by ID.
method
SWAP
id
transactionFees
0
GET /v1/payout-api/payouts/swaps/{id} HTTP/1.1 Host: gateway.staging.useyala.com x-api-key: <YOUR_API_KEY>
x-api-key
{ "id": "223e4567-e89b-12d3-a456-426614174001", "payoutRef": "PAY-2024-002", "status": "PROCESSING", "method": "SWAP", "sourceAmount": 1000, "sourceCurrency": "USD", "destinationAmount": 1500000, "destinationCurrency": "NGN", "exchangeRate": 1500, "transactionFees": 0, "createdAt": "2024-01-21T12:00:00.000Z", "updatedAt": "2024-01-21T12:00:00.000Z", "supportingDocuments": [] }
payoutRef
status
PROCESSING
sourceAmount
sourceCurrency
destinationAmount
destinationCurrency
exchangeRate
createdAt
updatedAt
SWAP_NOT_FOUND
const response = await fetch( `https://gateway.staging.useyala.com/v1/payout-api/payouts/swaps/${swapId}`, { headers: { 'x-api-key': apiKey } }, ); const swap = await response.json();